MWAWDocument.hxx File Reference
`#include <libwpd-stream/libwpd-stream.h>`

Go to the source code of this file.

## Classes

class | MWAWDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Macros

#define | MWAWLIB

## Enumerations

enum | MWAWConfidence { MWAW_CONFIDENCE_NONE =0, MWAW_CONFIDENCE_POOR, MWAW_CONFIDENCE_LIKELY, MWAW_CONFIDENCE_GOOD, MWAW_CONFIDENCE_EXCELLENT }
| enum which defines the confidence that a file format is supported More...
enum | MWAWResult { MWAW_OK, MWAW_FILE_ACCESS_ERROR, MWAW_PARSE_ERROR, MWAW_OLE_ERROR, MWAW_UNKNOWN_ERROR }
| enum which defines the result of the file parsing More...

## Macro Definition Documentation

#define MWAWLIB

## Enumeration Type Documentation

enum MWAWConfidence

enum which defines the confidence that a file format is supported

Enumerator
MWAW_CONFIDENCE_NONE |
MWAW_CONFIDENCE_POOR |
MWAW_CONFIDENCE_LIKELY |
MWAW_CONFIDENCE_GOOD |
MWAW_CONFIDENCE_EXCELLENT |

enum MWAWResult

enum which defines the result of the file parsing

Enumerator
MWAW_OK |
MWAW_FILE_ACCESS_ERROR |
MWAW_PARSE_ERROR |
MWAW_OLE_ERROR |
MWAW_UNKNOWN_ERROR |